Exiv2::AnyError Class Referenceabstract

Error class interface. Allows the definition and use of a hierarchy of error classes which can all be handled in one catch block. Inherits from the standard exception base-class, to make life easier for library users (they have the option of catching most things via std::exception). More...

`#include <error.hpp>`

Inheritance diagram for Exiv2::AnyError:
[legend]

## Public Member Functions

| AnyError (const AnyError &o)
virtual int | code () const =0 throw ()
| Return the error code.

## Detailed Description

Error class interface. Allows the definition and use of a hierarchy of error classes which can all be handled in one catch block. Inherits from the standard exception base-class, to make life easier for library users (they have the option of catching most things via std::exception).

Examples
  addmoddel.cpp, exifcomment.cpp, exifdata.cpp, exifvalue.cpp, iptceasy.cpp, iptcprint.cpp, metacopy.cpp, mrwthumb.cpp, xmpparse.cpp, xmpprint.cpp, and xmpsample.cpp.

The documentation for this class was generated from the following files:

- error.hpp
- error.cpp